public class CodeTracing2 {
    /*
     * What does this program do?
     */
    public static void main(String[] args) {
        String[] b = { "A", "B", "C", "D", "E" };
        int n = b.length;
        
        // What happens if we stop the loop at n?
        for (int i = 0; i < n / 2; i++) {
            String temp = b[i];
            b[i] = b[n - i - 1];
            b[n - i - 1] = temp;
        }

        for (int i = 0; i < n; i++) {
            System.out.println(b[i] + " ");
        }
        System.out.println();
    }
}
